package com.iohao.mmo.excel.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 装备词条Excel
 *
 * @author Toby javatangbin@163.com
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class EquipEntryTemplateExcelDTO {
    @ColumnWidth(20)
    @ExcelProperty("名称")
    private String name;

    @ExcelProperty("编号")
    private String code;

    @ColumnWidth(20)
    @ExcelProperty(value = "描述")
    private String description;

    @ExcelProperty(value = "出现概率")
    private BigDecimal hitProb;

    @ColumnWidth(20)
    @ExcelProperty(value = "装备部位")
    private String positionStrs;

    @ExcelProperty(value = "最大次数")
    private int maxExist;

    @ExcelProperty(value = {"装备属性","等级最小值"})
    private int levelMin;

    @ExcelProperty(value = {"装备属性","等级最大值"})
    private int levelMax;

    @ExcelProperty(value = {"装备属性","属性计算方式"})
    private int countType;

    @ExcelProperty(value = {"装备属性","显示方式"})
    private int showType;

    @ExcelProperty(value = {"装备属性","影响属性"})
    private String effectPropertyName;

    @ExcelProperty(value = {"装备属性","属性范围最小值"})
    private BigDecimal propertyValueMin;

    @ExcelProperty(value = {"装备属性","属性范围最大值"})
    private BigDecimal propertyValueMax;


}
